
<form name="form" novalidate>


<div id="top_of_dialog">
	<strong>Nuova Destinazione CCID </strong>
</div>

<div style="margin-top: 15px">
	<table class="table table-bordered blockContainer showInlineTable equalSplit">
		<thead>
			<tr>
				<th class="blockHeader" colspan="2">Parametri di selezione</th>
			</tr>
		</thead>
		<tbody>
			<tr>
				<td class="fieldLabel medium">
					<label class="muted pull-right marginRight10px">
						<span class="redColor" ng-show="form.process.$invalid">*</span>DSP
					</label>
				</td>
				<td class="fieldValue medium">
					<div class="row-fluid">
						<span class="span10">
							<select name="dspname" id="dspname" ng-model="selectedDsp" ng-options="item.name for item in ctrl.dspList" required>
							</select>
						</span>
					</div>
				</td>
			</tr>
			<tr>
			   <td class="fieldLabel medium">
					<label class="muted pull-right marginRight10px">
						<span class="redColor" ng-show="form.process.$invalid">*</span>TIPO DI UTILIZZO
					</label>
				</td>
				<td class="fieldValue medium">
					<div class="row-fluid">
						<span class="span10">
						<select name="dsputilization" id="dsputilization"   ng-model="selectedUtilization" ng-options="item.name for item in ctrl.utilizationList" required >
							</select>
						</span>
					</div>
				</td>
				
			</tr>
			<tr>
				 <td class="fieldLabel medium">
					<label class="muted pull-right marginRight10px">
						<span class="redColor" ng-show="form.process.$invalid">*</span>OFFERTA COMMERCIALE
					</label>
				</td>
				<td class="fieldValue medium">
					<div class="row-fluid">
						<span class="span10">
						<select name="dspoffer" id="dspoffer" ng-model="selectedOffer" ng-options="item.offering  for item in ctrl.commercialOffersList  | filter: filterOffersByDspAndUtilization()" required>
							</select>
						</span>
					</div>
				</td>
				
			</tr>
				<tr>
					<td class="fieldLabel medium"><label class="muted pull-right marginRight10px"> 
						<span class="redColor" ng-show="form.process.$invalid">*</span>PATH</label>
					</td>
			
					<td class="fieldValue medium">
						
						<div class="input-group">
							<span class="span10"> 
								<input ng-model="path" ></input>
							</span>
							<!--<span class="input-group-btn">-->
								<!--<button  class="btn btn-default" type="button" tabindex="-1" ng-click="showOptional=true" ng-disabled="showOptional" >-->
									<!--<span class="glyphicon glyphicon-plus" aria-hidden="true"></span>-->
								<!--</button>-->
							<!--</span>-->
						</div>


					</td>

				</tr>
				
			<tr>
				 <td class="fieldLabel medium">
					<label class="muted pull-right marginRight10px">
						<span class="redColor" ng-show="form.process.$invalid"></span>RANK
					</label>
				</td>
				<td class="fieldValue medium">
					<div class="row-fluid">
						<span class="span10">
							<select ng-model="rank" ng-options="n for n in [] | range:1:100" required></select>							
						</span>
					</div>
				</td>
			</tr>
		 	
		</tbody>
	</table>
</div>

<div style="margin-top: 15px">
	<table width="100%">
	<tr>
		<td>
			<button type="button" class="btn addButton" ng-click="cancel()">
				<span class="glyphicon glyphicon-remove"></span>&nbsp;&nbsp;<strong>Annulla</strong>
			</button>
		</td>
		<td align="right">
			<button ng-disabled="form.$invalid" class="btn addButton" ng-click="save()">
				<span class="glyphicon glyphicon-plus"></span>&nbsp;&nbsp;<strong>Aggiungi</strong>
			</button>
		</td>
	</tr>
	</table>
</div>

</form>

    <script type="text/ng-template" id="errorDialogId">

        <div id="target"  >
          <strong>{{ngDialogData}}</strong>
        </div>
    </script>

<script type="text/javascript">
$('#top_of_dialog')[0].scrollIntoView( true );
</script>
